## fonts-atkinson-hyperlegible-next 0.0~git20250221.7925f50

=== Makefile ===
SOURCES=$(shell python3 scripts/read-config.py --sources )
FAMILY=$(shell python3 scripts/read-config.py --family )
DRAWBOT_SCRIPTS=$(shell ls documentation/*.py)
DRAWBOT_OUTPUT=$(shell ls documentation/*.py | sed 's/\.py/.png/g')

help:
	@echo "###"
	@echo "# Build targets for $(FAMILY)"
	@echo "###"
	@echo
	@echo "  make build:  Builds the fonts and places them in the fonts/ directory"
	@echo "  make test:   Tests the fonts with fontbakery"
	@echo "  make proof:  Creates HTML proof documents in the proof/ directory"
	@echo "  make images: Creates PNG specimen images in the documentation/ directory"
	@echo

build: build.stamp

venv: venv/touchfile

venv-test: venv-test/touchfile

customize: venv
	. venv/bin/activate; python3 scripts/customize.py

build.stamp: venv sources/config.yaml $(SOURCES)
	rm -rf fonts
	(for config in sources/config*.yaml; do . venv/bin/activate; gftools builder $$config; done)  && touch build.stamp

venv/touchfile: requirements.txt
	test -d venv || python3 -m venv venv
	. venv/bin/activate; pip install -Ur requirements.txt
	touch venv/touchfile

venv-test/touchfile: requirements-test.txt
	test -d venv-test || python3 -m venv venv-test
	. venv-test/bin/activate; pip install -Ur requirements-test.txt
	touch venv-test/touchfile

test: venv-test build.stamp
	TOCHECK=$$(find fonts/variable -type f 2>/dev/null); if [ -z "$$TOCHECK" ]; then TOCHECK=$$(find fonts/ttf -type f 2>/dev/null); fi ; . venv-test/bin/activate; mkdir -p out/ out/fontbakery; fontbakery check-googlefonts -l WARN --full-lists --succinct --badges out/badges --html out/fontbakery/fontbakery-report.html --ghmarkdown out/fontbakery/fontbakery-report.md $$TOCHECK  || echo '::warning file=sources/config.yaml,title=Fontbakery failures::The fontbakery QA check reported errors in your font. Please check the generated report.'

proof: venv build.stamp
	TOCHECK=$$(find fonts/variable -type f 2>/dev/null); if [ -z "$$TOCHECK" ]; then TOCHECK=$$(find fonts/ttf -type f 2>/dev/null); fi ; . venv/bin/activate; mkdir -p out/ out/proof; diffenator2 proof $$TOCHECK -o out/proof

images: venv $(DRAWBOT_OUTPUT)

%.png: %.py build.stamp
	. venv/bin/activate; python3 $< --output $@

clean:
	rm -rf venv
	find . -name "*.pyc" -delete

update-project-template:
	npx update-template https://github.com/googlefonts/googlefonts-project-template/

update: venv venv-test
	venv/bin/pip install --upgrade pip-tools
	# See https://pip-tools.readthedocs.io/en/latest/#a-note-on-resolvers for
	# the `--resolver` flag below.
	venv/bin/pip-compile --upgrade --verbose --resolver=backtracking requirements.in
	venv/bin/pip-sync requirements.txt

	venv-test/bin/pip install --upgrade pip-tools
	venv-test/bin/pip-compile --upgrade --verbose --resolver=backtracking requirements-test.in
	venv-test/bin/pip-sync requirements-test.txt

	git commit -m "Update requirements" requirements.txt requirements-test.txt
	git push

=== requirements.txt ===
absl-py==2.1.0
afdko==4.0.1
appdirs==1.4.4
attrs==23.2.0
axisregistry==0.4.9
babelfont==3.0.5
beautifulsoup4==4.12.3
beziers==0.6.0
black==24.4.2
blackrenderer==0.6.0
booleanOperations==0.9.0
Brotli==1.1.0
bump2version==1.0.1
bumpfontversion==0.4.1
cattrs==23.2.3
certifi==2024.6.2
cffi==1.16.0
cffsubr==0.3.0
charset-normalizer==3.3.2
click==8.1.7
cmarkgfm==2024.1.14
commandlines==0.4.1
compreffor==0.5.5
cryptography==42.0.8
defcon==0.10.3
dehinter==4.0.0
Deprecated==1.2.14
diffenator2==0.4.5
docopt==0.6.2
et-xmlfile==1.1.0
filelock==3.14.0
font-v==2.1.0
fontbakery==0.13.0a3
fontFeatures==1.8.0
fontmake==3.10.0
fontMath==0.9.4
fontParts==0.12.1
fontPens==0.2.4
fonttools==4.54.1
freetype-py==2.3.0
fs==2.4.16
gflanguages==0.6.1
gfsubsets==2024.5.9
gftools==0.9.76
gitdb==4.0.11
GitPython==3.1.43
glyphsets==1.0.0
glyphsLib==6.9.5
h11==0.14.0
idna==3.7
importlib_resources==6.4.0
Jinja2==3.1.4
lxml==5.2.2
markdown-it-py==3.0.0
MarkupSafe==2.1.5
mdurl==0.1.2
munkres==1.1.4
MutatorMath==3.0.1
mypy-extensions==1.0.0
nanoemoji==0.15.1
networkx==3.3
ninja==1.11.1.1
num2words==0.5.13
numpy==1.26.4
openpyxl==3.1.4
openstep-plist==0.3.1
opentype-sanitizer==9.1.0
opentypespec==1.9.1
orjson==3.10.3
outcome==1.3.0.post0
packaging==24.0
panda==0.3.1
pandas==2.2.2
pathspec==0.12.1
picosvg==0.22.1
pillow==10.3.0
pip-api==0.0.33
platformdirs==4.2.2
pngquant-cli==2.17.0.post5
protobuf==3.20.3
pyahocorasick==2.1.0
pybind11==2.12.0
pycairo==1.26.0
pyclipper==1.3.0.post5
pycparser==2.22
pygit2==1.15.0
PyGithub==2.3.0
Pygments==2.18.0
PyJWT==2.8.0
PyNaCl==1.5.0
pyparsing==3.1.2
PySocks==1.7.1
python-bidi==0.4.2
python-dateutil==2.9.0.post0
pytz==2024.1
PyYAML==6.0.1
regex==2024.5.15
requests==2.32.3
resvg-cli==0.22.0.post3
rich==13.7.1
ruamel.yaml==0.18.6
ruamel.yaml.clib==0.2.8
selenium==4.21.0
setuptools==70.0.0
shaperglot==0.5.0
six==1.16.0
skia-pathops==0.8.0.post1
skia-python==87.6
smmap==5.0.1
sniffio==1.3.1
sortedcontainers==2.4.0
soupsieve==2.5
statmake==0.6.0
strictyaml==1.7.3
tabulate==0.9.0
termcolor==2.4.0
toml==0.10.2
tqdm==4.66.4
trio==0.25.1
trio-websocket==0.11.1
ttfautohint-py==0.5.1
typing_extensions==4.12.1
tzdata==2024.1
ufo2ft==3.3.1
ufoLib2==0.16.0
ufolint==1.2.0
ufomerge==1.8.2
ufonormalizer==0.6.1
ufoProcessor==1.9.0
uharfbuzz==0.39.1
unicodedata2==15.1.0
Unidecode==1.3.8
urllib3==2.2.1
vfbLib==0.7.0
vharfbuzz==0.3.0
vttLib==0.12.0
wrapt==1.16.0
wsproto==1.2.0
youseedee==0.5.3
zopfli==0.2.3

=== debian/changelog ===
fonts-atkinson-hyperlegible-next (0.0~git20250221.7925f50-2) unstable; urgency=medium

  * New version to fix a broken upload.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 14 Sep 2025 21:54:28 +0200

fonts-atkinson-hyperlegible-next (0.0~git20250221.7925f50-1) unstable; urgency=medium

  * Initial release. (Closes: #1115260)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 14 Sep 2025 21:35:52 +0200

=== debian/control ===
Source: fonts-atkinson-hyperlegible-next
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders:
 Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 fontmake,
 fonttools,
 gftools,
Standards-Version: 4.7.2
Homepage: https://github.com/googlefonts/atkinson-hyperlegible-next
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-atkinson-hyperlegible-next
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-atkinson-hyperlegible-next.git

Package: fonts-atkinson-hyperlegible-next
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: New (2024) second version of the Atkinson Hyperlegible fonts
 Atkinson Hyperlegible, named after the founder of the Braille Institute, has
 been developed specifically to increase legibility for readers with low
 vision, and to improve comprehension.
 .
 Having a traditional grotesque sans-serif at its core, it departs from
 tradition to incorporate unambiguous, distinctive elements—and at times,
 unexpected forms—always with the goal of increasing character recognition
 and ultimately improve reading.
 .
 Atkinson Hyperlegible Next is an improvement of the typeface Atkinson
 Hyperlegible, including new characters, improved glyphs, and improved
 kerning. Additionally, the two previous weights has increased to six, all in
 upright and italic, allowing for greater flexibility in use.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cd sources && gftools builder config.yaml

# The tests depend on fontbakery, which is not
# yet available in Debian. See ITP #932568.
override_dh_auto_test:

=== debian/watch ===
Version: 5

Source: https://github.com/googlefonts/atkinson-hyperlegible-next
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
